Bug Hunting Session
Bug 98188 - CMIS: File > Properties > CMIS Properties tab crashes LO when closing.
Summary: CMIS: File > Properties > CMIS Properties tab crashes LO when closing.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Giuseppe Castagno (aka beppec56)
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-25 16:56 UTC by Giuseppe Castagno (aka beppec56)
Modified: 2016-10-25 19:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Castagno (aka beppec56) 2016-02-25 16:56:08 UTC
To reproduce open a file on a CMIS server and then select menu:
File > Properties > CMIS Properties

CMIS properties are displayed.
When you close it, LO crashes.

I tried with:
5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: en-US (en_US.UTF-8)

both Linux and Windows.

to reproduce you need a CMIS server. I didn't find one free on Internet.
If you have one available, add the server to LO remote server pool, the sequence to add it changes depending on LO version.
The open the file properties dialog and close it to have LO crashing.
Comment 1 Giuseppe Castagno (aka beppec56) 2016-02-25 16:57:50 UTC
Seems some window elements are not correctly disposed of when closing. Working on a solution.
Comment 2 Commit Notification 2016-02-26 09:04:28 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cadc130171a9bd4f1e6930fed09ad2897e9111b5

tdf#98188: Crash when closing File->Properties->CMIS Properties tab

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Cor Nouws 2016-02-26 17:30:01 UTC
thanks!
Comment 4 Giuseppe Castagno (aka beppec56) 2016-02-26 18:00:07 UTC
(In reply to Cor Nouws from comment #3)

done this morning:

<https://gerrit.libreoffice.org/#/c/22716/>
Comment 5 Commit Notification 2016-02-27 12:12:15 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e76f0727393c0a4316767307dc89b24e86d4a848&h=libreoffice-5-1

tdf#98188: Crash when closing File->Properties->CMIS Properties tab

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-03-01 11:39:21 UTC
Giuseppe Castagno committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75433880cbb622808c30a91b064a6604fcd0c4a3&h=libreoffice-5-0

tdf#98188: Crash when closing File->Properties->CMIS Properties tab

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Michael Stahl (CIB) 2016-05-09 15:59:31 UTC
removing "backportrequest", already in all active release branches